import matplotlib.pyplot as plt
####  Coordonnées des points en fonction du temps  ##
fic = open("cylindre_plan_incline.csv",'r')         #
donnee=fic.readlines(); t=[]; x=[]; y=[]; L=[t,x,y] #
for point in donnee :                               #
    p=point.split() # Une ligne donne une liste     #
    if p[0][0].isnumeric():                         #
        for i in range(3):                          #
            L[i].append(float(p[i].replace(',','.')))
###  Calcul des coordonnées des vecteurs v et a   ###
vx=[] ; vy=[] ; ax=[] ; ay=[]                       #
for i in range(1,len(x)-1):                         #
    vx.append((x[i+1]-x[i-1])/(t[i+1]-t[i-1]))      #
    vy.append((y[i+1]-y[i-1])/(t[i+1]-t[i-1]))      #
# TODO
###  Premier graphique : les vecteurs vitesses   ####
plt.subplot(2,1,1) ; plt.title("Vitesse")           #        
plt.quiver(x[1:-1],y[1:-1],vx,vy,color="green")     #                      
plt.axis('equal') ; plt.plot(x,y,"ro")              #                      
### Second graphique : les vecteurs accélération  ###
plt.subplot(2,1,2) ; plt.title("Accélération")      #         
# TODO
plt.show() # On affiche


